import { get,post } from "../../common/request.js"
import pathmap from "../../common/pathmap"
import stylemap from "../../common/stylemap"
import { retCartData } from "../../data/car"

const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: { 
    windowh: app.globalData.windowh, 
    limit:10,
    pageindex:0,
    lock:false,
    list:[],
    hasloadall:false
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getCollect();
    this.setData(stylemap);
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  },
  getCollect:function(){
    var _self=this;
    if(!this.data.lock){
      var para = {
        offset : this.data.offset,
        limit : this.data.limit
      }
      this.setData({
        lock:true
      })
      get(pathmap.collectlist, para, function (json) {
        var list = retCartData(json.data&&json.data.list);
        var obj = {          
          list:_self.data.list.concat(list),
          offset:_self.data.offset+_self.data.limit,
          lock:false
        }
        if(json.data.total<=_self.data.limit){
          obj.hasloadall=true;
        }else{
          obj.hasloadall=false;
        }
        _self.setData(obj);
      })
    }
  },
  deleteCollect:function(e){
    var _self=this;
    var id = e.currentTarget.dataset.id;
    var index = e.currentTarget.dataset.ind;
    post(pathmap.collectdel,{
      id:id
    },function(json){
      if(json.statusCode==200){
        var list = _self.data.list.slice();
        wx.showToast({
          title:json.data.message
        });
        list.splice(index,1);
        _self.setData({
          list:list
        })
      }else{
        wx.showToast({
          title:json.data.message,
          icon:"none"
        });
      }
    })
  }
})